summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-03-22 08:30:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-22 09:51:48 +0700
commit294efdfe656de4d0b3ac6924330389bf71f8d724 (patch)
tree0273f2b6faa0a49e6986d6d4abd571d6ff78259e /games
parent5d96d231d98b8ef124c5ad4e3b252f5ea7ad165d (diff)
downloadslackbuilds-294efdfe656de4d0b3ac6924330389bf71f8d724.tar.gz
slackbuilds-294efdfe656de4d0b3ac6924330389bf71f8d724.tar.xz
games/ember: Added (3D Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/ember/README10
-rw-r--r--games/ember/doinst.sh13
-rw-r--r--games/ember/ember.SlackBuild118
-rw-r--r--games/ember/ember.info12
-rw-r--r--games/ember/slack-desc19
5 files changed, 172 insertions, 0 deletions
diff --git a/games/ember/README b/games/ember/README
new file mode 100644
index 0000000000..f93c47221d
--- /dev/null
+++ b/games/ember/README
@@ -0,0 +1,10 @@
+Ember is a 3d client using the OGRE 3d library.
+It's available for all modern Linux distributions, FreeBSD,
+OSX and MS Windows.
+Ember is a client for the WorldForge project.
+It allows you to both play in and edit virtual worlds.
+This release focus on improving the editing capabilities,
+allowing for much easier world creation.
+
+NOTE: Build first FreeImage & tolua++ after ogre and then
+ CEGUI0.7
diff --git a/games/ember/doinst.sh b/games/ember/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/games/ember/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/ember/ember.SlackBuild b/games/ember/ember.SlackBuild
new file mode 100644
index 0000000000..08d8ec6edf
--- /dev/null
+++ b/games/ember/ember.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Slackware build script for ember
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ember
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 755 {} \;
+
+./autogen.sh
+mkdir -p `arch` && cd `arch`
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+../configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-cegui-toluapp \
+ --enable-static-build \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+cd ..
+tar xvf $CWD/$PRGNAM-media-$VERSION.tar.bz2
+cd $PRGNAM-media-$VERSION
+cp -rf media/* $PKG/usr/share/ember/media
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/pixmaps/
+install -D -m644 media/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.svg
+
+sed -i 's/#plugindir/plugindir/g' $PKG/etc/ember/ember.conf
+
+if [ "$ARCH" = "x86_64" ]; then
+ sed -i 's/usr\/lib/usr\/lib64/g' $PKG/etc/ember/ember.conf
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ember/ember.info b/games/ember/ember.info
new file mode 100644
index 0000000000..7342c39064
--- /dev/null
+++ b/games/ember/ember.info
@@ -0,0 +1,12 @@
+PRGNAM="ember"
+VERSION="0.7.1"
+HOMEPAGE="http://worldforge.org/dev/eng/clients/ember"
+DOWNLOAD="http://sourceforge.net/projects/worldforge/files/Ember%20%28OGRE%20client%29/0.7.1/ember-0.7.1.tar.bz2 \
+ http://sourceforge.net/projects/worldforge/files/Ember%20%28OGRE%20client%29/0.7.1/ember-media-0.7.1.tar.bz2"
+MD5SUM="bfcd6f5a9980b05172c45791dba611cf \
+ 773df69df42628c4d9933a74f109335c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="FreeImage tolua++ freealut ogre CEGUI0.7 eris libwfut varconf"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/games/ember/slack-desc b/games/ember/slack-desc
new file mode 100644
index 0000000000..28cdf64205
--- /dev/null
+++ b/games/ember/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ember: ember (3d client)
+ember:
+ember: Ember is a 3d client using the OGRE 3d library.
+ember: It's available for all modern Linux distributions,
+ember: FreeBSD, OSX and MS Windows.
+ember:
+ember: Homepage: http://worldforge.org/dev/eng/clients/ember
+ember:
+ember:
+ember:
+ember: